<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/absolute_pathname_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/13/84  absolute_pathname_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in absolute_pathname_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: absolute_pathname_: 02/13/84  absolute_pathname_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: converts a relative or absolute pathname into a full
<span id="L11" class="LineNr">11 </span>absolute pathname.  This entry does not accept the syntax for
<span id="L12" class="LineNr">12 </span>specifying archive component pathnames; if one is supplied, an error
<span id="L13" class="LineNr">13 </span>code is returned.
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Syntax:
<span id="L17" class="LineNr">17 </span>declare absolute_pathname_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L18" class="LineNr">18 </span>call absolute_pathname_ <span class="textRainbow_lv0_p0">(</span>pathname<span class="textRainbow_lv0_o0">,</span> full_pathname<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Arguments:
<span id="L22" class="LineNr">22 </span>pathname
<span id="L23" class="LineNr">23 </span>   is the relative or absolute pathname to be expanded.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L24" class="LineNr">24 </span>full_pathname
<span id="L25" class="LineNr">25 </span>   is the full, absolute pathname derived from the input pathname.
<span id="L26" class="LineNr">26 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr">27 </span>code
<span id="L28" class="LineNr">28 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> If an error has occurred,
<span id="L29" class="LineNr">29 </span>   it can have one of the following values:
<span id="L30" class="LineNr">30 </span>   error_table_$lesserr
<span id="L31" class="LineNr">31 </span>      too many less-than <span class="textRainbow_lv0_p0">(</span>&quot;&lt;&quot;<span class="textRainbow_lv0_p0">)</span> characters in pathname.
<span id="L32" class="LineNr">32 </span>   error_table_$badpath
<span id="L33" class="LineNr">33 </span>      invalid syntax in pathname.
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>   error_table_$pathlong
<span id="L37" class="LineNr">37 </span>      the expanded pathname is longer than 168 characters.
<span id="L38" class="LineNr">38 </span>   error_table_$entlong
<span id="L39" class="LineNr">39 </span>      the entryname portion of the expanded pathname is longer than 32
<span id="L40" class="LineNr">40 </span>      characters.
<span id="L41" class="LineNr">41 </span>   error_table_$archive_pathname
<span id="L42" class="LineNr">42 </span>      the input pathname specified an archive component; this feature
<span id="L43" class="LineNr">43 </span>      is only supported by the expand_pathname_$component and
<span id="L44" class="LineNr">44 </span>      expand_pathname_$component_add_suffix entrypoints.
<span id="L45" class="LineNr">45 </span>   error_table_$no_wdir
<span id="L46" class="LineNr">46 </span>      a relative pathname is specified, but no working directory is in
<span id="L47" class="LineNr">47 </span>      force for the process.
<span id="L48" class="LineNr">48 </span>
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>:Entry:  add_suffix:  02/13/84 absolute_pathname_$add_suffix
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>
<span id="L53" class="LineNr">53 </span>Function:  This entrypoint expands a relative or absolute pathname into
<span id="L54" class="LineNr">54 </span>a full, absolute pathname, adding a suffix to the entryname if that
<span id="L55" class="LineNr">55 </span>suffix is not already present.
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>
<span id="L58" class="LineNr">58 </span>Syntax:
<span id="L59" class="LineNr">59 </span>declare absolute_pathname_$add_suffix entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L60" class="LineNr">60 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L61" class="LineNr">61 </span>call absolute_pathname_$add_suffix <span class="textRainbow_lv0_p0">(</span>pathname<span class="textRainbow_lv0_o0">,</span> suffix<span class="textRainbow_lv0_o0">,</span> full_pathname<span class="textRainbow_lv0_o0">,</span>
<span id="L62" class="LineNr">62 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L63" class="LineNr">63 </span>
<span id="L64" class="LineNr">64 </span>
<span id="L65" class="LineNr">65 </span>Arguments:
<span id="L66" class="LineNr">66 </span>pathname
<span id="L67" class="LineNr">67 </span>   is the relative or absolute pathname to be expanded.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L68" class="LineNr">68 </span>suffix
<span id="L69" class="LineNr">69 </span>   is the suffix to be added to the entryname portion of the pathname.
<span id="L70" class="LineNr">70 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The period separating the entryname and the suffix must not
<span id="L71" class="LineNr">71 </span>   be included.  If a null string is supplied, no suffix is added.
<span id="L72" class="LineNr">72 </span>full_pathname
<span id="L73" class="LineNr">73 </span>   is the full, absolute pathname derived from the input pathname.
<span id="L74" class="LineNr">74 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L75" class="LineNr">75 </span>code
<span id="L76" class="LineNr">76 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can have the same
<span id="L77" class="LineNr">77 </span>   values described for absolute_pathname_.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
